<?php session_start(); 
		function revisar_tiene_subtareas($id)
	{
		include ("../BD/conexion_bd.php");
			if(!$conexion)
			{
				die("error al intentar conectar: " .mysql_error());
			}
			mysql_query("SET NAMES 'utf8'");
		$consulta1="SELECT id FROM Sub_Tareas WHERE Tareas_id=$id";
		$sql_consulta1=mysql_query($consulta1,$conexion);
		$total_rows=mysql_num_rows($sql_consulta1);
		if($total_rows)
			return true;
		else
			return false;
	}
?>
<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>Highcharts Example</title>
		
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<script type="text/javascript">
		<?php $mes="";
		switch(date("M"))
		{
			case 'Jan': $mes="Enero";
				break;
			case 'Feb': $mes="Febrero";
				break;
			case 'Mar': $mes="Marzo";
				break;
			case 'Apr': $mes="Abril";
				break;
			case 'May': $mes="Mayo";
				break;
			case 'Jun': $mes="Junio";
				break;
			case 'Jul': $mes="Julio";
				break;
			case 'Aug': $mes="Agosto";
				break;
			case 'SEP': $mes="Septiembre";
				break;
			case 'Oct': $mes="Octubre";
				break;
			case 'Nov': $mes="Noviembre";
				break;
			case 'Dec': $mes="Diciembre";
				break;
			default: 
		}
		?>
$(function () {
        $('#container').highcharts({
            chart: {
                type: 'column'
            },
            title: {
                text: 'Productividad Mensual'
            },
            subtitle: {
                text: '<?php echo $mes." ".date("Y");?> '
            },
            xAxis: {
                categories: [
				<?php
				include ("../BD/conexion_bd.php");
				if(!$conexion)
				{
					die("error al intentar conectar: " .mysql_error());
				}
				mysql_query("SET NAMES 'utf8'");
				$c1="SELECT DISTINCT Empleado_user FROM Tareas_has_Empleado ORDER BY Empleado_user ASC";
				$sql_c1=mysql_query($c1,$conexion);
				while($row_c1=mysql_fetch_assoc($sql_c1))
				{
					$c2="SELECT Nombre, ApellidoP FROM Empleado WHERE user='".$row_c1['Empleado_user']."'";
					$sql_c2=mysql_query($c2,$conexion);
					$row_c2=mysql_fetch_assoc($sql_c2);
					$nombre=$row_c2['Nombre']." ".$row_c2['ApellidoP'];
					echo "'".$nombre."',";
				}
				?>
                    <!--'Empleado 1',
                    <!--'Empleado 2',
                    <!--'Empleado 3',
					<!--'Empleado 4',
					<!--'Empleado 5',
                    
                ]
            },
			
            yAxis: {
                min: 0,
                title: {
                    text: 'No. de Actividades'
                }
            },
            tooltip: {
                headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                    '<td style="padding:0"><b>{point.y:f} </b></td></tr>',
                footerFormat: '</table>',
                shared: true,
                useHTML: true
            },
            plotOptions: {
                column: {
                    pointPadding: 0.2,
                    borderWidth: 0
                }
            },
            series: [{
                name: 'Actividades Finalizadas',color:'#21ad00',
				<?php
				$ACTIVIDADES_FINALIZADAS="";
				$ACTIVIDADES_SIN_FINALIZAR="";
				$c1="SELECT DISTINCT Empleado_user FROM Tareas_has_Empleado ORDER BY Empleado_user ASC";
				$sql_c1=mysql_query($c1,$conexion);
				while($row_c1=mysql_fetch_assoc($sql_c1))
				{
					$c3="SELECT * FROM Tareas_has_Empleado, Tareas WHERE (Tareas_has_Empleado.Tareas_id=Tareas.id AND Tareas_has_Empleado.Empleado_user='".$row_c1['Empleado_user']."' AND Tareas.Fecha_Inicio LIKE '".date("Y")."-".date("m")."-%')";//limitar a mes actual
					$sql_c3=mysql_query($c3,$conexion);
					$act_finalizadas=0;
					$act_sin_finalizar=0;
					while($row_sql_c3=mysql_fetch_assoc($sql_c3))//PARA MOSTRAR LA CANTIDAD DE ACTIVIDADES FINALIZADAS Y SIN FINALIZAR
					{
						$tiene_subtareas=revisar_tiene_subtareas($row_sql_c3['Tareas_id']);
						
						//buscar si está finalizada o no
						if($tiene_subtareas)
						{
							$c4="SELECT Finalizado FROM Tareas WHERE id=".$row_sql_c3['Tareas_id'];
							$sql_c4=mysql_query($c4,$conexion);
						}
						else
						{
							$c4="SELECT Finalizado FROM Tareas_has_Empleado WHERE Tareas_id=".$row_sql_c3['Tareas_id']." AND Empleado_user='".$row_c1['Empleado_user']."'";
							$sql_c4=mysql_query($c4,$conexion);
						}
						//con la consulta sql_c4 ver si el campo "Finalizado" de las tablas ya establecidas está marcado como 1 o 0
						$row_sql_c4=mysql_fetch_assoc($sql_c4);
						if($row_sql_c4['Finalizado'])
							$act_finalizadas++;
						else
							$act_sin_finalizar++;
					}
					$ACTIVIDADES_FINALIZADAS=$ACTIVIDADES_FINALIZADAS.$act_finalizadas.",";
					$ACTIVIDADES_SIN_FINALIZAR=$ACTIVIDADES_SIN_FINALIZAR.$act_sin_finalizar.",";
				}
				?>
                data: [<?php echo $ACTIVIDADES_FINALIZADAS;?>]
    
            }, 
			{
                name: 'Actividades Sin Finalizar',color:'#9c0000',
                data: [<?php echo $ACTIVIDADES_SIN_FINALIZAR;?>]
    
            }]
        });
    });
    

		</script>
	</head>
	<body>
<script src="highcharts.js"></script>
<script src="modules/exporting.js"></script>

<form id="formulario">
  <div id="container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
</form>
	</body>
</html>
